/*      -*- linux-c -*-
 *
 * (C) Copyright IBM Corp. 2004
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  This
 * file and program are licensed under a BSD style license.  See
 * the Copying file included with the OpenHPI distribution for
 * full licensing terms.
 */

/******************************************************************* 
 * WARNING! This file is auto-magically generated by bc_str2event.pl 
 *          Do not change this file manually. Update script instead
 *******************************************************************/

#include <glib.h>
#include <string.h>
#include <SaHpi.h>

#include <openhpi.h>
#include <bc_resources.h>
#include <bc_str2event.h>

GHashTable * str2event_hash;

static void free_hash_data(gpointer key, gpointer value, gpointer user_data);

int str2event_hash_init() {

	gchar *key;
/*       gchar *key_exists; */
	Str2EventInfoT *strinfo;

	str2event_hash = g_hash_table_new(g_str_hash, g_str_equal);
	if (str2event_hash == NULL) {
		dbg("Cannot allocate str2event_hash table");
		return -1;
	}

	key = "I/O module 1 Temperature Fault Multiple I/O module failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA1C401"; /* EN_OVER_TEMP_SWITCH_1 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System under recommended voltage for -5v.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0803D800"; /* EN_PFA_LO_FAULT_N5V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Power Supply 3 was installed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08216003"; /* EN_PS3_INSTALLED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "SP Communications Failure on Blade 8.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E008008"; /* EN_BLADE_8_COMM_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 3 POST Error. Multiple I/O module failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA0E003"; /* EN_SWITCH_3_POST_ERROR */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 4 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA00004"; /* EN_FAULT_SWITCH_4 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 1 was instructed to power on.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA08001"; /* EN_SWITCH_1_POWERED_ON */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Critical Blower Failure, Blade Server Powering Down";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "06026080"; /* EN_BLADE_PWR_DN_FAN_FAIL */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server 4 was removed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E004004"; /* EN_BLADE_4_REMOVED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server 10 was installed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E00200A"; /* EN_BLADE_A_INSTALLED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server 12 is incompatible with I/O module configuration.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E00600C"; /* EN_BLADE_C_CFG_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System under recommended voltage on +1.25v.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08001800"; /* EN_PFA_LO_FAULT_1_25V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "BSE +12V over recommended voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E836402"; /* EN_BUST_12V_WARNING_HI */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV | OVR_EXP;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server 4 is incompatible with I/O module configuration.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E006004"; /* EN_BLADE_4_CFG_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "SP Communications Failure on Blade 11.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E00800B"; /* EN_BLADE_B_COMM_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Power Supply 2 Removed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0821E002"; /* EN_FAULT_PS2_REMOVED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Management Module BIST Failure. Refer to the BIST Results web page for additional information.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "00022000"; /* EN_SP_BIST */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server 6 was removed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E004006"; /* EN_BLADE_6_REMOVED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 3 Temperature Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA1C403"; /* EN_OVER_TEMP_SWITCH_3 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 3 Current Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA1A403"; /* EN_OVER_CURRENT_SWITCH_3 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System shutoff due to CPU 3 over temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421C483"; /* EN_CUTOFF_HI_OVER_TEMP_CPU3 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server 9 was removed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E004009"; /* EN_BLADE_9_REMOVED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "BSE +12V under recommended voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E836802"; /* EN_BUST_12V_WARNING_LOW */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV | OVR_EXP;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server 7 was installed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E002007"; /* EN_BLADE_7_INSTALLED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "BSE +1.8V under recommended voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E87A802"; /* EN_BUST_1_8V_WARNING_LOW */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV | OVR_EXP;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System under recommended voltage on +2.5v.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "FF031880"; /* EN_PFA_LO_FAULT_2_5V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 1;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 4 POST Timeout. Multiple I/O module failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA0D004"; /* EN_SWITCH_4_POST_TIMEOUT */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 1 is incompatible with Blade Server configuration. Multiple I/O module failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA0C001"; /* EN_SWITCH_1_CFG_ERROR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System Power Good Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "00028001"; /* EN_FAULT_SYS_POWER_GOOD */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System under recommended voltage for +12v._HPIDUP1";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "06037800"; /* EN_PFA_LO_FAULT_12V_PLANAR */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System shutoff due to -5v over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0803C480"; /* EN_CUTOFF_HI_FAULT_N5V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server 14 was removed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E00400E"; /* EN_BLADE_E_REMOVED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 3 Current Fault Multiple I/O module failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA1A403"; /* EN_OVER_CURRENT_SWITCH_3 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 4 POST Error. Multiple I/O module failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA0E004"; /* EN_SWITCH_4_POST_ERROR */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Power Good Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "00028000"; /* EN_FAULT_POWER_GOOD */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System over temperature for CPU 1.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421D501"; /* EN_PFA_HI_OVER_TEMP_CPU1 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Chassis Running Nonredundant I/O Modules";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA16000"; /* EN_SWITCH_NON_REDUNDANT */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Chassis Running Nonredundant Management Modules";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "00284000"; /* EN_MM_NON_REDUNDANT */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server 1 was installed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E002001"; /* EN_BLADE_1_INSTALLED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System under recommended voltage on +3.3v.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "FF033880"; /* EN_PFA_LO_FAULT_3_35V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 1;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 2 Temperature Warning Multiple I/O module failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA1D402"; /* EN_OVER_TEMP_WARN_SWITCH_2 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server 8 is incompatible with I/O module configuration.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E006008"; /* EN_BLADE_8_CFG_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server 5 was removed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E004005"; /* EN_BLADE_5_REMOVED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "BSE Option over recommended temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681D481"; /* EN_PFA_HI_OVER_TEMP_DASD1 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV | OVR_EXP;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "IO Board +5V over recommended voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0A035C00"; /* EN_IO_5V_WARNING_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blower 3 Fault Single blower failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0A026003"; /* EN_FAULT_FAN3 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blower 3 Failure Multiple blower failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "00026803"; /* EN_FAN3_SPEED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Power Supply 1 Removed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0821E001"; /* EN_FAULT_PS1_REMOVED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 3 Temperature Fault Multiple I/O module failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA1C403"; /* EN_OVER_TEMP_SWITCH_3 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Power Supply 2 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08200002"; /* EN_FAULT_PS2 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System shutoff due to CPU 2 over temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421C482"; /* EN_CUTOFF_HI_OVER_TEMP_CPU2 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server 5 was installed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E002005"; /* EN_BLADE_5_INSTALLED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 3 POST Timeout.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA0D003"; /* EN_SWITCH_3_POST_TIMEOUT */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Power Supply 3 12V Over Voltage Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08236483"; /* EN_FAULT_PS3_12V_OVER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Power Supply 3 Temperature Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0821C083"; /* EN_FAULT_PS3_OVR_TEMP */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 1 Current Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA1A401"; /* EN_OVER_CURRENT_SWITCH_1 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Power Supply 1 12V Over Current Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08236001"; /* EN_FAULT_PS1_12V_OVR_CUR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Power Supply 2 12V Under Voltage Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08236802"; /* EN_FAULT_PS2_12V_UNDER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 4 Current Fault Multiple I/O module failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA1A404"; /* EN_OVER_CURRENT_SWITCH_4 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System over recommended voltage on +3.3v._HPIDUP1";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08033480"; /* EN_PFA_HI_FAULT_3_35V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "IO Board +12V under recommended voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0A036C00"; /* EN_IO_12V_WARNING_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server 1 is incompatible with I/O module configuration.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E006001"; /* EN_BLADE_1_CFG_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "SP Communications Failure on Blade 5.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E008005"; /* EN_BLADE_5_COMM_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System over recommended voltage for +12v.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "FF037500"; /* EN_PFA_HI_FAULT_12V_PLANAR */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 1;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "VRM Power Good Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "04428000"; /* EN_FAULT_VRM_POWER_GOOD */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blower 3 Failure Single blower failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "00026803"; /* EN_FAN3_SPEED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System over recommended voltage for +5v.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "06035500"; /* EN_PFA_HI_FAULT_PLANAR_5V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Power Supply 4 Temperature Warning";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0821C004"; /* EN_FAULT_PS4_TEMP_WARN */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Power Supply 4 DC Good Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08028004"; /* EN_FAULT_PS4_DC_GOOD */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Power Supply 2 12V Over Current Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08236002"; /* EN_FAULT_PS2_12V_OVR_CUR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "CPU Board voltage fault.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "04018000"; /* EN_CPU_BD_VOLTAGE_FAULT */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Power Supply 4 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08200004"; /* EN_FAULT_PS4 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "CPU 1 shut off due to over temperature";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421C401"; /* EN_PROC_HOT_CPU1 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 4 is incompatible with Blade Server configuration. Multiple I/O module failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA0C004"; /* EN_SWITCH_4_CFG_ERROR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Management Module 2 was installed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "00282002"; /* EN_MM_2_INSTALLED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 3 Temperature Warning";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA1D403"; /* EN_OVER_TEMP_WARN_SWITCH_3 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server 2 was removed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E004002"; /* EN_BLADE_2_REMOVED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Power Supply 3 12V Over Current Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08236003"; /* EN_FAULT_PS3_12V_OVR_CUR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Input Voltage Removed from Power Supply 4";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08180004"; /* EN_FAULT_PS4_EPOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server 10 is incompatible with I/O module configuration.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E00600A"; /* EN_BLADE_A_CFG_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Power Supply 4 12V Over Voltage Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08236484"; /* EN_FAULT_PS4_12V_OVER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 4 Temperature Warning Multiple I/O module failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA1D404"; /* EN_OVER_TEMP_WARN_SWITCH_4 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "IO Board +1.5V under recommended voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0A040C00"; /* EN_IO_1_5V_WARNING_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Power Supply 4 Current Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0821A004"; /* EN_FAULT_PS4_CUR_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 2 was instructed to power off.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA06002"; /* EN_SWITCH_2_POWERED_OFF */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System over recommended voltage on +1.25v.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08001400"; /* EN_PFA_HI_FAULT_1_25V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 4 POST Error.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA0E004"; /* EN_SWITCH_4_POST_ERROR */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "BSE +18V over recommended voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E83C402"; /* EN_BUST_18V_WARNING_HI */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV | OVR_EXP;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 2 POST Error. Multiple I/O module failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA0E002"; /* EN_SWITCH_2_POST_ERROR */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System shutoff due to +12v over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "06036480"; /* EN_CUTOFF_HI_FAULT_12V_PLANAR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server 8 was installed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E002008"; /* EN_BLADE_8_INSTALLED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 3 was instructed to power off.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA06003"; /* EN_SWITCH_3_POWERED_OFF */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System over recommended voltage for -5v.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0803D500"; /* EN_PFA_HI_FAULT_N5V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Management Module is over recommended temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0001D400"; /* EN_PFA_HI_OVER_TEMP_SP_CARD */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "IO Board +2.5V over recommended voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0A031C00"; /* EN_IO_2_5V_WARNING_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blower 2 Outside Recommended Speed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "000A6002"; /* EN_FAN2_PFA */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "SP Communications Failure on Blade 2.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E008002"; /* EN_BLADE_2_COMM_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 2 was installed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA02002"; /* EN_SWITCH_2_INSTALLED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server 6 was installed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E002006"; /* EN_BLADE_6_INSTALLED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 1 Temperature Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA1C401"; /* EN_OVER_TEMP_SWITCH_1 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 3 POST Error.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA0E003"; /* EN_SWITCH_3_POST_ERROR */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Management Module 1 was removed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "00284001"; /* EN_MM_1_REMOVED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server 11 is incompatible with I/O module configuration.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E00600B"; /* EN_BLADE_B_CFG_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Power Supply 3 Removed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0821E003"; /* EN_FAULT_PS3_REMOVED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Shutoff due to high Management Module temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0001C500"; /* EN_CUTOFF_HI_OVER_TEMP_SP_CARD */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blower 3 Outside Recommended Speed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "000A6003"; /* EN_FAN3_PFA */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "CPU 3 shut off due to over temperature";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421C403"; /* EN_PROC_HOT_CPU3 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "SP Communications Failure on Blade 12.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E00800C"; /* EN_BLADE_C_COMM_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "IO Board voltage fault.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "06018000"; /* EN_IO_BD_VOLTAGE_FAULT */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Power Supply 4 Removed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0821E004"; /* EN_FAULT_PS4_REMOVED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "BSE +18V under recommended voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E83C802"; /* EN_BUST_18V_WARNING_LOW */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV | OVR_EXP;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System shutoff due to BSE Option temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681C481"; /* EN_CUTOFF_HI_OVER_TEMP_DASD1 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_EXP;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "BSE +3.3V over recommended voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E832402"; /* EN_BUST_3_3V_WARNING_HI */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV | OVR_EXP;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "The media tray was removed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "06A1E001"; /* EN_MEDIA_TRAY_REMOVED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 1 Temperature Warning";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA1D401"; /* EN_OVER_TEMP_WARN_SWITCH_1 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System over temperature for CPU 4.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421D504"; /* EN_PFA_HI_OVER_TEMP_CPU4 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "SP Communications Failure on Blade 9.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E008009"; /* EN_BLADE_9_COMM_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 1 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA00001"; /* EN_FAULT_SWITCH_1 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "BSE +1.8V over recommended voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E87A402"; /* EN_BUST_1_8V_WARNING_HI */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV | OVR_EXP;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System shutoff due to VRM 1 over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "04400481"; /* EN_CUTOFF_HI_FAULT_VRM1 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 3 Temperature Warning Multiple I/O module failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA1D403"; /* EN_OVER_TEMP_WARN_SWITCH_3 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server 7 is incompatible with I/O module configuration.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E006007"; /* EN_BLADE_7_CFG_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Power Supply 1 was installed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08216001"; /* EN_PS1_INSTALLED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blower 1 Outside Recommended Speed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "000A6001"; /* EN_FAN1_PFA */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System over recommended voltage on +2.5v._HPIDUP1";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08031480"; /* EN_PFA_HI_FAULT_2_5V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 2 is incompatible with Blade Server configuration. Multiple I/O module failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA0C002"; /* EN_SWITCH_2_CFG_ERROR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System shutoff due to +3.3v under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08032880"; /* EN_CUTOFF_LO_FAULT_3_35V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "BSE +3.3V under recommended voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E832802"; /* EN_BUST_3_3V_WARNING_LOW */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV | OVR_EXP;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System over/under recommended voltage";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0000006F"; /* EN_NC_VOLT */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "BSE +2.5V over recommended voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E830402"; /* EN_BUST_2_5V_WARNING_HI */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV | OVR_EXP;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Management Module 1 was installed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "00282001"; /* EN_MM_1_INSTALLED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System over recommended voltage for +12v._HPIDUP1";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "06037500"; /* EN_PFA_HI_FAULT_12V_PLANAR */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server 13 was removed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E00400D"; /* EN_BLADE_D_REMOVED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server Powered Down";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "1C000001"; /* EN_BLADE_PWR_DWN */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System over temperature for CPU 2.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421D502"; /* EN_PFA_HI_OVER_TEMP_CPU2 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System shutoff due to +2.5v over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08030480"; /* EN_CUTOFF_HI_FAULT_2_5V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 1 POST Error. Multiple I/O module failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA0E001"; /* EN_SWITCH_1_POST_ERROR */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System front panel controller not responding.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "09020000"; /* EN_FAULT_FP_R */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Input Voltage Removed from Power Supply 2";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08180002"; /* EN_FAULT_PS2_EPOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server 2 is incompatible with I/O module configuration.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E006002"; /* EN_BLADE_2_CFG_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blower 4 Outside Recommended Speed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "000A6004"; /* EN_FAN4_PFA */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "CPU 2 Over Temperature";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421D082"; /* EN_THERM_TRIP_CPU2 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Insufficient chassis power to support redundancy";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08080001"; /* EN_NR_PWR_SUPPLY */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 2 POST Timeout.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA0D002"; /* EN_SWITCH_2_POST_TIMEOUT */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server 5 is incompatible with I/O module configuration.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E006005"; /* EN_BLADE_5_CFG_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 2 Current Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA1A402"; /* EN_OVER_CURRENT_SWITCH_2 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server 13 was installed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E00200D"; /* EN_BLADE_D_INSTALLED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "CPU 3 Over Temperature";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421D083"; /* EN_THERM_TRIP_CPU3 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server 6 is incompatible with I/O module configuration.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E006006"; /* EN_BLADE_6_CFG_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System shutoff due to 1.8V CPU under voltage";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0807A880"; /* EN_CUTOFF_LO_FAULT_1_8V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System shutoff due to CPU 1 over temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421C481"; /* EN_CUTOFF_HI_OVER_TEMP_CPU1 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System over recommended voltage on +1.5v.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08041400"; /* EN_PFA_HI_FAULT_1_5V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blower 2 Fault Multiple blower failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0A026002"; /* EN_FAULT_FAN2 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "BSE +2.5V under recommended voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E830802"; /* EN_BUST_2_5V_WARNING_LOW */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV | OVR_EXP;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 1 Temperature Warning Multiple I/O module failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA1D401"; /* EN_OVER_TEMP_WARN_SWITCH_1 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System shutoff due to 1.8V CPU over voltage";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0807A480"; /* EN_CUTOFF_HI_FAULT_1_8V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blower 2 Failure Multiple blower failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "00026802"; /* EN_FAN2_SPEED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server 9 is incompatible with I/O module configuration.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E006009"; /* EN_BLADE_9_CFG_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "IO Board power fault.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0601A000"; /* EN_IO_BD_POWER_FAULT */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server 8 was removed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E004008"; /* EN_BLADE_8_REMOVED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "SP Communications Failure on Blade 6.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E008006"; /* EN_BLADE_6_COMM_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Power Supply 3 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08200003"; /* EN_FAULT_PS3 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Power Supply 2 Current Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0821A002"; /* EN_FAULT_PS2_CUR_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "IO Board +3.3V under recommended voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0A02CC00"; /* EN_IO_3_3V_WARNING_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System over recommended voltage on +2.5v.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "FF031480"; /* EN_PFA_HI_FAULT_2_5V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 1;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 1 Fault Multiple I/O module failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA00001"; /* EN_FAULT_SWITCH_1 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 2 was instructed to power on.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA08002"; /* EN_SWITCH_2_POWERED_ON */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 4 Current Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA1A404"; /* EN_OVER_CURRENT_SWITCH_4 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "BSE +5V over recommended voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E834402"; /* EN_BUST_5V_WARNING_HI */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV | OVR_EXP;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "IO Board +12V over recommended voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0A037C00"; /* EN_IO_12V_WARNING_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blower 4 Fault Single blower failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0A026004"; /* EN_FAULT_FAN4 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System shutoff due to +2.5v under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08030880"; /* EN_CUTOFF_LO_FAULT_2_5V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 1 POST Timeout. Multiple I/O module failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA0D001"; /* EN_SWITCH_1_POST_TIMEOUT */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System under recommended voltage for +12v.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "FF037800"; /* EN_PFA_LO_FAULT_12V_PLANAR */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 1;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server 1 was removed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E004001"; /* EN_BLADE_1_REMOVED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blower 3 Fault Multiple blower failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0A026003"; /* EN_FAULT_FAN3 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 2 Current Fault Multiple I/O module failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA1A402"; /* EN_OVER_CURRENT_SWITCH_2 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blower 4 Failure Multiple blower failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "00026804"; /* EN_FAN4_SPEED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Power Supply 1 Temperature Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0821C081"; /* EN_FAULT_PS1_OVR_TEMP */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "CPU 2 shut off due to over temperature";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421C402"; /* EN_PROC_HOT_CPU2 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 4 POST Timeout.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA0D004"; /* EN_SWITCH_4_POST_TIMEOUT */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System over recommended ambient temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0001D500"; /* EN_PFA_HI_OVER_TEMP_AMBIENT */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blower 1 Fault Multiple blower failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0A026001"; /* EN_FAULT_FAN1 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System under recommended voltage for +5v.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "06035800"; /* EN_PFA_LO_FAULT_PLANAR_5V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "SP Communications Failure on Blade 4.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E008004"; /* EN_BLADE_4_COMM_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "SP Communications Failure on Blade 7.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E008007"; /* EN_BLADE_7_COMM_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 3 was installed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA02003"; /* EN_SWITCH_3_INSTALLED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server 3 was installed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E002003"; /* EN_BLADE_3_INSTALLED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System shutoff due to -5v under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0803C800"; /* EN_CUTOFF_LO_FAULT_N5V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Input Voltage Removed from Power Supply 3";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08180003"; /* EN_FAULT_PS3_EPOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Power Supply 1 12V Under Voltage Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08236801"; /* EN_FAULT_PS1_12V_UNDER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "SP Communications Failure on Blade 10.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E00800A"; /* EN_BLADE_A_COMM_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Power Supply 4 Temperature Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0821C084"; /* EN_FAULT_PS4_OVR_TEMP */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Power Supply 3 Temperature Warning";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0821C003"; /* EN_FAULT_PS3_TEMP_WARN */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server 13 is incompatible with I/O module configuration.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E00600D"; /* EN_BLADE_D_CFG_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Power Supply 3 Current Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0821A003"; /* EN_FAULT_PS3_CUR_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System under recommended voltage on +2.5v._HPIDUP1";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08031880"; /* EN_PFA_LO_FAULT_2_5V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 2 Temperature Warning";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA1D402"; /* EN_OVER_TEMP_WARN_SWITCH_2 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 3 is incompatible with Blade Server configuration. Multiple I/O module failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA0C003"; /* EN_SWITCH_3_CFG_ERROR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System shutoff due to +5v over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "06034480"; /* EN_CUTOFF_HI_FAULT_PLANAR_5V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Power Supply 3 12V Under Voltage Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08236803"; /* EN_FAULT_PS3_12V_UNDER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 3 was removed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA04003"; /* EN_SWITCH_3_REMOVED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "CPU 4 Over Temperature";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421D084"; /* EN_THERM_TRIP_CPU4 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 4 Temperature Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA1C404"; /* EN_OVER_TEMP_SWITCH_4 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blower 1 Failure Single blower failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "00026801"; /* EN_FAN1_SPEED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System shutoff due to +3.3v over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08032480"; /* EN_CUTOFF_HI_FAULT_3_35V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "DASD backplane Failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "00000069"; /* EN_DASD */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 1 was removed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA04001"; /* EN_SWITCH_1_REMOVED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Power Supply 1 DC Good Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08028001"; /* EN_FAULT_PS1_DC_GOOD */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System under recommended voltage on +3.3v._HPIDUP1";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08033880"; /* EN_PFA_LO_FAULT_3_35V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 1 was installed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA02001"; /* EN_SWITCH_1_INSTALLED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blower 1 Failure Multiple blower failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "00026801"; /* EN_FAN1_SPEED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 1 Current Fault Multiple I/O module failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA1A401"; /* EN_OVER_CURRENT_SWITCH_1 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Power Supply 2 was installed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08216002"; /* EN_PS2_INSTALLED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 2 is incompatible with Blade Server configuration.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA0C002"; /* EN_SWITCH_2_CFG_ERROR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 4 is incompatible with Blade Server configuration.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA0C004"; /* EN_SWITCH_4_CFG_ERROR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Input Voltage Removed from Power Supply 1";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08180001"; /* EN_FAULT_PS1_EPOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 4 Temperature Warning";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA1D404"; /* EN_OVER_TEMP_WARN_SWITCH_4 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System shutoff due to CPU 4 over temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421C484"; /* EN_CUTOFF_HI_OVER_TEMP_CPU4 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 2 POST Error.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA0E002"; /* EN_SWITCH_2_POST_ERROR */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "IO Board +3.3V over recommended voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0A02DC00"; /* EN_IO_3_3V_WARNING_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server 11 was installed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E00200B"; /* EN_BLADE_B_INSTALLED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Power Modules are over temperature, Blade Server Powering Down";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0821C080"; /* EN_BLADE_PWR_DN_PM_TEMP */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 4 was removed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA04004"; /* EN_SWITCH_4_REMOVED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blower 1 Fault Single blower failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0A026001"; /* EN_FAULT_FAN1 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Power Supply 1 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08200001"; /* EN_FAULT_PS1 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System Boot Failed";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "00000077"; /* EN_BOOT_FAIL */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 3 Fault Multiple I/O module failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA00003"; /* EN_FAULT_SWITCH_3 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server 12 was installed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E00200C"; /* EN_BLADE_C_INSTALLED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "IO Board 2.5V under recommended voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0A030C00"; /* EN_IO_2_5V_WARNING_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 2 Fault Multiple I/O module failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA00002"; /* EN_FAULT_SWITCH_2 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 3 is incompatible with Blade Server configuration.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA0C003"; /* EN_SWITCH_3_CFG_ERROR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server 9 was installed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E002009"; /* EN_BLADE_9_INSTALLED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System shutoff due to high ambient temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0001C480"; /* EN_CUTOFF_HI_OVER_TEMP_AMBIENT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server 12 was removed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E00400C"; /* EN_BLADE_C_REMOVED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Power Supply 1 Current Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0821A001"; /* EN_FAULT_PS1_CUR_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 3 was instructed to power on.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA08003"; /* EN_SWITCH_3_POWERED_ON */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blower 4 Fault Multiple blower failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0A026004"; /* EN_FAULT_FAN4 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blower 2 Failure Single blower failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "00026802"; /* EN_FAN2_SPEED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 3 POST Timeout. Multiple I/O module failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA0D003"; /* EN_SWITCH_3_POST_TIMEOUT */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blower 2 Fault Single blower failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0A026002"; /* EN_FAULT_FAN2 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 2 Temperature Fault Multiple I/O module failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA1C402"; /* EN_OVER_TEMP_SWITCH_2 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System over temperature for CPU 3.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421D503"; /* EN_PFA_HI_OVER_TEMP_CPU3 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "CPU 1 Over Temperature";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421D081"; /* EN_THERM_TRIP_CPU1 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 4 was instructed to power off.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA06004"; /* EN_SWITCH_4_POWERED_OFF */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server 2 was installed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E002002"; /* EN_BLADE_2_INSTALLED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server 3 is incompatible with I/O module configuration.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E006003"; /* EN_BLADE_3_CFG_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System under recommended 5V Fault.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08035800"; /* EN_PFA_LO_FAULT_5V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System over recommended voltage on +3.3v.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "FF033480"; /* EN_PFA_HI_FAULT_3_35V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 1;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "CPU 4 shut off due to over temperature";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421C404"; /* EN_PROC_HOT_CPU4 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server 14 is incompatible with I/O module configuration.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E00600E"; /* EN_BLADE_E_CFG_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "SP Communications Failure on Blade 14.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E00800E"; /* EN_BLADE_E_COMM_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 1 POST Timeout.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA0D001"; /* EN_SWITCH_1_POST_TIMEOUT */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "CPU Board power fault.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0401A000"; /* EN_CPU_BD_POWER_FAULT */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 4 Fault Multiple I/O module failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA00004"; /* EN_FAULT_SWITCH_4 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System shutoff due to +5v under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "06034800"; /* EN_CUTOFF_LO_FAULT_PLANAR_5V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server 3 was removed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E004003"; /* EN_BLADE_3_REMOVED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Management Module 2 was removed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "00284002"; /* EN_MM_2_REMOVED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 4 was instructed to power on.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA08004"; /* EN_SWITCH_4_POWERED_ON */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 2 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA00002"; /* EN_FAULT_SWITCH_2 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Power Supply 1 12V Over Voltage Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08236481"; /* EN_FAULT_PS1_12V_OVER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "SP Communications Failure on Blade 13.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E00800D"; /* EN_BLADE_D_COMM_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System is under recommended voltage for 1.8V CPU";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0807B800"; /* EN_PFA_LO_FAULT_1_8V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Power Supply 2 12V Over Voltage Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08236482"; /* EN_FAULT_PS2_12V_OVER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "IO Board +1.5V over recommended voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0A041C00"; /* EN_IO_1_5V_WARNING_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server Powered Up";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "1C000002"; /* EN_BLADE_PWR_UP */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blower 4 Failure Single blower failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "00026804"; /* EN_FAN4_SPEED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "SP Communications Failure on Blade 1.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E008001"; /* EN_BLADE_1_COMM_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 2 Temperature Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA1C402"; /* EN_OVER_TEMP_SWITCH_2 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "BSE +5V under recommended voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E834802"; /* EN_BUST_5V_WARNING_LOW */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV | OVR_EXP;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Power Supply 4 12V Over Current Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08236004"; /* EN_FAULT_PS4_12V_OVR_CUR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 1 is incompatible with Blade Server configuration.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA0C001"; /* EN_SWITCH_1_CFG_ERROR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 1 POST Error.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA0E001"; /* EN_SWITCH_1_POST_ERROR */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "SP Communications Failure on Blade 3.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E008003"; /* EN_BLADE_3_COMM_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Power Supply 4 12V Under Voltage Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08236804"; /* EN_FAULT_PS4_12V_UNDER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server 10 was removed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E00400A"; /* EN_BLADE_A_REMOVED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System shutoff due to +12v under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "06036800"; /* EN_CUTOFF_LO_FAULT_12V_PLANAR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 1 was instructed to power off.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA06001"; /* EN_SWITCH_1_POWERED_OFF */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Power Supply 2 Temperature Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0821C082"; /* EN_FAULT_PS2_OVR_TEMP */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Bogus Test Event.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "FFFFFFFF"; /* EN_TEST_EVENT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = NO_OVR;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server 4 was installed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E002004"; /* EN_BLADE_4_INSTALLED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server 14 was installed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E00200E"; /* EN_BLADE_E_INSTALLED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 4 was installed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA02004"; /* EN_SWITCH_4_INSTALLED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 3 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA00003"; /* EN_FAULT_SWITCH_3 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server 7 was removed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E004007"; /* EN_BLADE_7_REMOVED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 2 POST Timeout. Multiple I/O module failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA0D002"; /* EN_SWITCH_2_POST_TIMEOUT */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Power Supply 2 Temperature Warning";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0821C002"; /* EN_FAULT_PS2_TEMP_WARN */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Power Supply 4 was installed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08216004"; /* EN_PS4_INSTALLED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Power Supply 1 Temperature Warning";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0821C001"; /* EN_FAULT_PS1_TEMP_WARN */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 4 Temperature Fault Multiple I/O module failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA1C404"; /* EN_OVER_TEMP_SWITCH_4 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "IO Board +5V under recommended voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0A034C00"; /* EN_IO_5V_WARNING_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System under recommended voltage on +1.5v.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08041800"; /* EN_PFA_LO_FAULT_1_5V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System is over recommended voltage for 1.8V CPU";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0807B400"; /* EN_PFA_HI_FAULT_1_8V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Blade Server 11 was removed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E00400B"; /* EN_BLADE_B_REMOVED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Power Supply 3 DC Good Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08028003"; /* EN_FAULT_PS3_DC_GOOD */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "Power Supply 2 DC Good Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08028002"; /* EN_FAULT_PS2_DC_GOOD */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV | OVR_RID;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "System over recommended 5V Fault.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "08035500"; /* EN_PFA_HI_FAULT_5V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);

	key = "I/O module 2 was removed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		str2event_hash_free();
		return -1;
	}
	strinfo->event = "0EA04002"; /* EN_SWITCH_2_REMOVED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(str2event_hash, key, strinfo);


	return 0;
}

int str2event_hash_free()
{
        g_hash_table_foreach(str2event_hash, free_hash_data, NULL);
	g_hash_table_destroy(str2event_hash);

	return 0;
}

static void free_hash_data(gpointer key, gpointer value, gpointer user_data)
{
/*        g_free(key);  keys are string constants - cannot free them */
        g_free(value);
}
